Bug 1307127 - Review Request: mkdocs-bootswatch - Bootswatch themes for MkDocs
Review Request: mkdocs-bootswatch - Bootswatch themes for MkDocs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On: 1307129
Blocks: 1300674
  Show dependency treegraph
 
Reported: 2016-02-12 13:54 EST by William Moreno
Modified: 2016-05-07 08:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-26 16:54:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description William Moreno 2016-02-12 13:54:36 EST
Spec URL: https://williamjmorenor.fedorapeople.org/rpmdev/mkdocs-bootswatch.spec
SRPM URL: https://williamjmorenor.fedorapeople.org/rpmdev/mkdocs-bootswatch-0.2.0-1.fc24.src.rpm
Description: Bootswatch themes for MkDocs
Fedora Account System Username: williamjmorenor
Comment 1 Rex Dieter 2016-04-05 12:49:11 EDT
I can review this
Comment 2 Rex Dieter 2016-04-05 13:02:42 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=13566688

naming: ok

sources: ok, mostly
49915cecc84ac6ec5846103d503d1163  0.2.0.tar.gz

1.  SHOULD follow
https://fedoraproject.org/wiki/Packaging:SourceURL#Git_Tags
so tarball name could be more legible (ie, be of the form:  %{name}-%{version}.tar.gz)

licensing: ok

$ rpmlint *.src.rpm
mkdocs-bootswatch.src: W: no-version-in-last-changelog

2. SHOULD follow changelog guidelines:
https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#Changelogs

all of which explicitly include the version-release of the package

macros: ok

scriplets: ok, n/a


Fairly simple and clean noarch pkg, only a couple of cosmetic SHOULD items you can consider fixing, but not worth blocking the review.


APPROVED
Comment 3 William Moreno 2016-04-06 19:59:33 EDT
Thanks for the review, I have updated the spec to the lastes upstream release and fixfed the changelog.
Comment 4 Gwyn Ciesla 2016-04-07 08:32:50 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/mkdocs-bootswatch
Comment 5 Fedora Update System 2016-04-08 19:09:31 EDT
mkdocs-bootswatch-0.4.0-1.fc24 mkdocs-bootstrap-0.1.1-2.fc24 mkdocs-0.15.3-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f63ba33ad9
Comment 6 Fedora Update System 2016-04-08 19:11:01 EDT
mkdocs-bootswatch-0.4.0-1.fc23 mkdocs-bootstrap-0.1.1-2.fc23 mkdocs-0.15.3-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-148631cb5e
Comment 7 Fedora Update System 2016-04-09 14:51:48 EDT
mkdocs-0.15.3-2.fc24, mkdocs-bootstrap-0.1.1-2.fc24, mkdocs-bootswatch-0.4.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f63ba33ad9
Comment 8 Fedora Update System 2016-04-09 15:23:47 EDT
mkdocs-0.15.3-2.fc23, mkdocs-bootstrap-0.1.1-2.fc23, mkdocs-bootswatch-0.4.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-148631cb5e
Comment 9 Fedora Update System 2016-04-26 16:54:20 EDT
mkdocs-0.15.3-2.fc23, mkdocs-bootstrap-0.1.1-2.fc23, mkdocs-bootswatch-0.4.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2016-05-07 08:11:09 EDT
mkdocs-0.15.3-2.fc24, mkdocs-bootstrap-0.1.1-2.fc24, mkdocs-bootswatch-0.4.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.